> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Update a group

PATCH https://example.itential.io/authorization/groups/{groupId}
Content-Type: application/json

Updates a group.

Reference: https://docs.itential.com/itential-platform/6/api-reference/authorization/update-group

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `groupId` (string, required) — The individual group to update.

### Body (application/json)

This endpoint expects an object.

- `updates` (object, optional)
  - `description` (string, optional) — Description of group
  - `inactive` (boolean, optional) — Setting for whether group is active or not
  - `memberOf` (list of object, optional) — Parent groups which this group is a part of
    - `aaaManaged` (boolean, optional) — Whether group comes from an external AAA or not
    - `groupId` (string, optional) — String representation of a MongoDB ObjectId
  - `assignedRoles` (list of object, optional) — Roles assigned to this group
    - `roleId` (string, optional) — String representation of a MongoDB ObjectId

## Response

### 200

The output of the group update.

- `status` (enum, optional) — The status of the API request.
  - Allowed values: `OK`, `Created`
- `message` (string, optional) — Message containing either confirmation of the operation or the reason for the failure of the operation.
- `data` (object, optional) — This is the schema for an IAP group stored in Mongo
  - `provenance` (string, required) — AAA provider where group originated
  - `name` (string, required) — Name of group
  - `description` (string, required) — Description of group
  - `memberOf` (list of object, required) — Parent groups which this group is a part of
    - `aaaManaged` (boolean, optional) — Whether group comes from an external AAA or not
    - `groupId` (string, optional) — String representation of a MongoDB ObjectId
  - `assignedRoles` (list of object, required) — Roles assigned to this group
    - `roleId` (string, optional) — String representation of a MongoDB ObjectId
  - `inactive` (boolean, required) — Setting for whether group is active or not
  - `_meta` (object, optional) — Metadata for group
    - `created` (string, optional) — When the group was created
    - `updated` (string, optional) — When the group was last updated

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "status": "OK",
  "message": "A sample success message",
  "data": {
    "provenance": "Local AAA",
    "name": "group_1",
    "description": "description of group_1",
    "memberOf": [
      {
        "aaaManaged": true,
        "groupId": "5cb7b531d06cceb89fd21b1c"
      }
    ],
    "assignedRoles": [
      {
        "roleId": "5cb7b531d06cceb89fd21b1c"
      }
    ],
    "inactive": true,
    "_meta": {
      "created": "2018-08-02T15:56:12.912Z",
      "updated": "2018-08-02T15:56:12.912Z"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/authorization/groups/groupId"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/authorization/groups/groupId';
const options = {method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/authorization/groups/groupId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/authorization/groups/groupId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://example.itential.io/authorization/groups/groupId")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://example.itential.io/authorization/groups/groupId', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/authorization/groups/groupId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/authorization/groups/groupId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```